Name: jakarta-servletapi5
Version: 5.0.28
Release: alt0.M24.1

Summary: Java servlet and JSP implementation classes
License: Apache Software License
Group: Development/Java
Packager: Alexey Borovskoy <alb@altlinux.ru>

Url: http://jakarta.apache.org/tomcat
Source0: %name-%version.tar.bz2
Source1: %name-build.properties

BuildPreReq: /proc
BuildPreReq: rpm-build-java rpm-build-webapp 
BuildPreReq: ant j2se1.4-sun-devel

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%package samples
Summary: Sample applications for %name
Group: Development/Java
Requires: webapp-common %name = %version-%release

%description samples
Sample applications for %name

%prep
%setup -qn jakarta-servletapi-5
%__cp %SOURCE1 jsr154/build.properties
%__cp %SOURCE1 jsr152/build.properties

%build
cd jsr154
%__ant dist
cd ..

cd jsr152
%__ant dist
cd ..

%install
%__mkdir_p %buildroot%_javadir/%name
%__mkdir_p %buildroot%_javadocdir/%name
%__mkdir_p %buildroot%_webappsdir/java/%name
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 jsr152/dist/lib/jsp-api.jar %buildroot%_javadir/%name/%name-jsp-api.jar
%__install -m644 jsr154/dist/lib/servlet-api.jar %buildroot%_javadir/%name/%name-servlet-api.jar

%__install -m644 jsr152/dist/examples/examples.war %buildroot%_webappsdir/java/%name/jsp-examples.war
%__install -m644 jsr154/dist/examples/examples.war %buildroot%_webappsdir/java/%name/servlet-examples.war

%__mv jsr152/dist/docs/api %buildroot%_javadocdir/%name/jsp-api/
%__mv jsr154/dist/docs/api %buildroot%_javadocdir/%name/servlet-api/

%__cp  jsr152/dist/README.txt %buildroot%_docdir/%name-%version/
%__cp  jsr152/dist/LICENSE %buildroot%_docdir/%name-%version/

%files
%_javadir/%name
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%files samples
%_webappsdir/java/%name

%changelog
* Tue May 03 2005 Alexey Borovskoy <alb@altlinux.ru> 5.0.28-alt0.M24.1
- Backport to Master 2.4
- Servlet API from Tomcat 5.0.28 

* Mon Jun 07 2004 Alexey Borovskoy <alb@altlinux.ru> 5.0.25-alt1
- Servlet API from Tomcat 5.0.25

* Sun Mar 21 2004 Alexey Borovskoy <alb@altlinux.ru> 5.0.18-alt1
- Servlet API from Tomcat 5.0.18

* Fri Nov 28 2003 Alexey Borovskoy <alb@altlinux.ru> 4.0.0-alt1
- First build for ALT Linux



